"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4b880>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4b9c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4b920>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4ba60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4bb00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4bba0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4bc40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4bce0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4bd80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4be20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4bec0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ec4bf60>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac040>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac0e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac180>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac220>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac2c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac360>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac400>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac4a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac540>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac5e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac680>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac720>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac7c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac860>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac900>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecac9a0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecaca40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecacae0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecacb80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecacc20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecaccc0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecacd60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecace00>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecacea0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecacf40>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecacfe0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad080>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad120>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad1c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad260>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad300>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad3a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad440>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad4e0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad580>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad620>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad6c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad760>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad800>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad8a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad940>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecad9e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecada80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecadb20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecadbc0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecadc60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecadd00>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecadda0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecade40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecadee0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecadf80>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae020>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae0c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae160>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae200>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae2a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae340>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae3e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae480>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae520>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae5c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae660>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae700>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae7a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae840>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae8e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecae980>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecaeac0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecaea20>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecaeb60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecaec00>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecaeca0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f085ecaed40>)]
name: str = 'fr_HOCCN'
